apiVersion: v1
kind: ConfigMap
metadata:
  name: config
data:
  ASSISTED_SERVICE_HOST: 127.0.0.1:8090
  ASSISTED_SERVICE_SCHEME: http
  AUTH_TYPE: none
  DB_HOST: 127.0.0.1
  DB_NAME: installer
  DB_PASS: admin
  DB_PORT: "5432"
  DB_USER: admin
  DEPLOY_TARGET: onprem
  DISK_ENCRYPTION_SUPPORT: "true"
  DUMMY_IGNITION: "false"
  ENABLE_SINGLE_NODE_DNSMASQ: "true"
  HW_VALIDATOR_REQUIREMENTS: '[{"version":"default","master":{"cpu_cores":4,"ram_mib":16384,"disk_size_gb":100,"installation_disk_speed_threshold_ms":10,"network_latency_threshold_ms":100,"packet_loss_percentage":0},"worker":{"cpu_cores":2,"ram_mib":8192,"disk_size_gb":100,"installation_disk_speed_threshold_ms":10,"network_latency_threshold_ms":1000,"packet_loss_percentage":10},"sno":{"cpu_cores":8,"ram_mib":16384,"disk_size_gb":100,"installation_disk_speed_threshold_ms":10},"edge-worker":{"cpu_cores":2,"ram_mib":8192,"disk_size_gb":15,"installation_disk_speed_threshold_ms":10}}]'
  IMAGE_SERVICE_BASE_URL: http://127.0.0.1:8888
  IPV6_SUPPORT: "false"
  ISO_IMAGE_TYPE: "full-iso"
  LISTEN_PORT: "8888"
  NTP_DEFAULT_SERVER: ""
  OS_IMAGES: '[{"openshift_version":"4.15","cpu_architecture":"ppc64le","url":"https://mirror.openshift.com/pub/openshift-v4/ppc64le/dependencies/rhcos/4.15/4.15.0/rhcos-4.15.0-ppc64le-live.ppc64le.iso","version":"415.92.202403270524-0"}]'
  POSTGRESQL_DATABASE: installer
  POSTGRESQL_PASSWORD: admin
  POSTGRESQL_USER: admin
  PUBLIC_CONTAINER_REGISTRIES: 'quay.io'
  RELEASE_IMAGES: '[{"openshift_version":"4.15","cpu_architecture":"ppc64le","cpu_architectures":["ppc64le"],"url":"quay.io/openshift-release-dev/ocp-release:4.15.6-ppc64le","version":"4.15.6-ppc64le"}]'
  SERVICE_BASE_URL: http://127.0.0.1:8090
  STORAGE: filesystem
  ENABLE_UPGRADE_AGENT: "true"
  AGENT_IMAGE: quay.io/edge-infrastructure/assisted-installer-agent-multi:latest
  AGENT_DOCKER_IMAGE: quay.io/edge-infrastructure/assisted-installer-agent-multi:latest
  INSTALLER_IMAGE: quay.io/edge-infrastructure/assisted-installer-multi:latest
  CONTROLLER_IMAGE: quay.io/dorzel/assisted-installer-controller:ppc64le
